<?php
//-- ------ #Initial config ------
require('../../../Config/m_default/Config/netsFileConfig.php');
require('../../../Config/m_default/Config/netsFileConfig_ADD.php');
require($netsFileConfig['sysCoreRoot'].'Config/m_default/Config/netsConfig.php');
//-- ------ #Require config and base class ------
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Cache/netsFile.php');
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Cache/netsError.php');
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Cache/netsCache.php');
//-- ------ #Path ------
$tmpFile=new netsFile();
$netsFileConfig['sysCoreRoot_Real']=$tmpFile->getRealname($netsFileConfig['sysCoreRoot'],0);
$netsFileConfig['sysUiCoreRoot_Real']=$tmpFile->getRealname($netsFileConfig['sysUiCoreRoot'],0);
$netsFileConfig['bussinessTemplatePackagePath_Real']=$tmpFile->getRealname($netsFileConfig['bussinessTemplatePackagePath'],0);

//-- ------ #Require entitry ------
/*
require($netsFileConfig['sysCoreRoot'].'Cache/DbDescription/netsuserinfo.php');
require($netsFileConfig['sysCoreRoot'].'Cache/DbDescription/netsuserinfocont.php');
require($netsFileConfig['sysCoreRoot'].'Cache/DbDescription/netsusergroup.php');
require($netsFileConfig['sysCoreRoot'].'Cache/DbDescription/netsusertype.php');
require($netsFileConfig['sysCoreRoot'].'Cache/DbDescription/netsuserunit.php');
require($netsFileConfig['sysCoreRoot'].'Cache/DbDescription/netsuserunitcont.php');
require($netsFileConfig['sysCoreRoot'].'Cache/DbDescription/netsuserdepartment.php');
require($netsFileConfig['sysCoreRoot'].'Cache/DbDescription/netsuserdepartmentcont.php');
*/

//-- ------ #Require db class ------
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Cache/netsDbCache.php');
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Db/netsMySql.php');
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Db/netsDb.php');
//-- ------ #Require page class ------
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Cache/netsPageCache.php');
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Html/netsHtml.php');
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Html/netsPage.php');
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Html/netsControl.php');
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Html/netsControls.php');
//-- ------ #Require class ------
require($netsFileConfig['sysCoreRoot'].'Inc/m_Nets/User/netsuserinfo.php');
require($netsFileConfig['sysCoreRoot'].'Inc/m_Nets/User/netsuserdaily.php');
require($netsFileConfig['sysCoreRoot'].'Inc/m_Nets/System/netssysmenu.php');
require($netsFileConfig['sysCoreRoot'].'Inc/m_Nets/System/netssystable.php');
//-- ------ #Require function class ------
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Func/netsCode.php');

require($netsFileConfig['sysCoreRoot'].'Mana/Common/Class/ComPage.php');
require($netsFileConfig['sysCoreRoot'].'Mana/Common/Class/ComControls.php');
require($netsFileConfig['sysCoreRoot'].'Mana/Common/Class/ComControlPage.php');
require($netsFileConfig['sysCoreRoot'].'Test/Common/Class/CustomPage.php');
require($netsFileConfig['sysCoreRoot'].'Test/Common/Class/CustomControls.php');
require($netsFileConfig['sysCoreRoot'].'Test/Common/Class/CustomControlPage.php');

require('../../../Component/Nets/DataList/netsPButton.php');
require('../../../Component/Nets/DataList/netsPAjaxButton.php');
//-- ------ #Head class ------
class initialHead extends netsControl {
	private $sStartTime='';
	public $sEndTime='';
	
	public $sMenuid=0;
	public $sMenu0=array();
	public $sMenu1=array();
	public $sMenu2=array();
	public $sMenuApp=array();
	
	public $sOpenSort=0;
	
	public function initialHead(){
		$this->netsControl();
	}
	
	public function getStartTime(){
		$this->sStartTime=microtime(true);
	}
	public function getEndTime(){
		$this->sEndTime=microtime(true);
		$this->sEndTime-=$this->sStartTime;
		$this->sEndTime=substr($this->sEndTime,0,7);
	}
	public function getMenu($pParid){
		return $this->sMenuApp->getChildMenu($pParid,2,'');
	}
	public function accMenu(){
		$this->sMenuApp=new netssysmenu($this->sConnString);
		$this->sMenu0=$this->sMenuApp->getParMenu($this->sMenuid);
		$this->sMenu1=$this->sMenuApp->getParMenu($this->sMenu0[0]['smetParid']);
		$this->sMenu2=$this->sMenuApp->getParMenu($this->sMenu1[0]['smetParid']);
		return 0;
	}
}
//-- ------ #Instanct ------
$tmpComHead=new initialHead();
$tmpComHead->getStartTime();
?>